// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "StateC.h"

extern BYTE portValueState      ;
extern BYTE portValueIntHandler ;

// **********************************
// * State C: initialization method *
// **********************************
void StateCInitialization (StateAbstract* ptrSa){
     ptrSa->DefaultStateMethod = &StateCMethod     ;
     ptrSa->InterruptHandler   = &InterruptCHandler;
}

// ***************************
// * State C: default method *
// ***************************
static void StateCMethod( BYTE* cmd ){
    portValueState = 'C';
}

// *********************************
// * State C: event handler method *
// *********************************
static void InterruptCHandler( BYTE* interruptId ){
    portValueIntHandler = 'C';
}
