// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "StateA.h"

extern BYTE portValueState      ;
extern BYTE portValueIntHandler ;

// **********************************
// * State A: initialization method *
// **********************************
void StateAInitialization (StateAbstract* ptrSa){
     ptrSa->DefaultStateMethod = &StateAMethod     ;
     ptrSa->InterruptHandler   = &InterruptAHandler;
}

// ***************************
// * State A: default method *
// ***************************
static void StateAMethod( BYTE* cmd ){
    portValueState = 'A';
}

// *********************************
// * State A: event handler method *
// *********************************
static void InterruptAHandler( BYTE* interruptId ){
    portValueIntHandler = 'A';
}
