// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "StateB.h"

extern BYTE portValueState      ;
extern BYTE portValueIntHandler ;

// **********************************
// * State B: initialization method *
// **********************************
void StateBInitialization (StateAbstract* ptrSa){
     ptrSa->DefaultStateMethod = &StateBMethod     ;
     ptrSa->InterruptHandler   = &InterruptBHandler;
}

// ***************************
// * State B: default method *
// ***************************
static void StateBMethod( BYTE* cmd ){
    portValueState = 'B';
}

// *********************************
// * State B: event handler method *
// *********************************
static void InterruptBHandler( BYTE* interruptId ){
    portValueIntHandler = 'B';
}
