// Author: Vladimir Savic
// E-mail: vladimirsvc@yahoo.com

#include "StateD.h"

extern BYTE portValueState      ;
extern BYTE portValueIntHandler ;

// **********************************
// * State D: initialization method *
// **********************************
void StateDInitialization (StateAbstract* ptrSa){
     ptrSa->DefaultStateMethod = &StateDMethod     ;
     ptrSa->InterruptHandler   = &InterruptDHandler;
}

// ***************************
// * State D: default method *
// ***************************
static void StateDMethod( BYTE* cmd ){
    portValueState = 'D';
}

// *********************************
// * State D: event handler method *
// *********************************
static void InterruptDHandler( BYTE* interruptId ){
    portValueIntHandler = 'D';
}
